ClientAuthorizationTestCase.OpFlags (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.security

## Class ClientAuthorizationTestCase.OpFlags

- java.lang.Object
- - org.apache.geode.security.ClientAuthorizationTestCase.OpFlags

- Enclosing class:
    ClientAuthorizationTestCase

      protected static class ClientAuthorizationTestCase.OpFlags
      extends java.lang.Object

  This class specifies flags that can be used to alter the behaviour of operations being performed by the `doOp` function.
  Since:
    GemFire 5.5

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHECK_EXCEPTION` Check that the operation should throw an exception other than the `NotAuthorizedException`.
    `static int` | `CHECK_FAIL` Check that the operation should fail.
    `static int` | `CHECK_NOKEY` Check that the key for the operation should not be present.
    `static int` | `CHECK_NOREGION` Check that the region should not be available.
    `static int` | `CHECK_NOTAUTHZ` Check that the operation should throw `NotAuthorizedException`.
    `static int` | `ENABLE_DRF` Enable `DynamicRegionFactory` on the client.
    `static int` | `LOCAL_OP` Perform the local version of the operation.
    `static int` | `NO_CREATE_SUBREGION` Do not try to create the sub-region.
    `static int` | `NONE` Default behaviour.
    `static int` | `REGISTER_POLICY_NONE` Use the `InterestResultPolicy.NONE` for register interest.
    `static int` | `USE_ALL_KEYS` Register all KEYS.
    `static int` | `USE_GET_ENTRY_IN_TX` Use the `LocalRegion.getEntry(java.lang.Object)` under transaction.
    `static int` | `USE_LIST` Register a list of KEYS.
    `static int` | `USE_NEWVAL` Check for nvalues[] instead of values[].
    `static int` | `USE_NOTAUTHZ` Do the connection with unauthorized credentials but do not check that the operation throws `NotAuthorizedException`.
    `static int` | `USE_OLDCONN` Do not re-connect using new credentials rather use the previous connection.
    `static int` | `USE_REGEX` Register a regular expression.
    `static int` | `USE_SUBREGION` Use the sub-region for performing the operation.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OpFlags()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `description(int f)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final int NONE

      Default behaviour.
      See Also:
        Constant Field Values

    - #### CHECK_FAIL

          public static final int CHECK_FAIL

      Check that the operation should fail.
      See Also:
        Constant Field Values

    - #### CHECK_NOTAUTHZ

          public static final int CHECK_NOTAUTHZ

      Check that the operation should throw `NotAuthorizedException`.
      See Also:
        Constant Field Values

    - #### CHECK_NOREGION

          public static final int CHECK_NOREGION

      Check that the region should not be available.
      See Also:
        Constant Field Values

    - #### CHECK_EXCEPTION

          public static final int CHECK_EXCEPTION

      Check that the operation should throw an exception other than the `NotAuthorizedException`.
      See Also:
        Constant Field Values

    - #### USE_NEWVAL

          public static final int USE_NEWVAL

      Check for nvalues[] instead of values[].
      See Also:
        Constant Field Values

    - #### USE_ALL_KEYS

          public static final int USE_ALL_KEYS

      Register all KEYS. For GET operations indicates using getAll().
      See Also:
        Constant Field Values

    - #### USE_REGEX

          public static final int USE_REGEX

      Register a regular expression.
      See Also:
        Constant Field Values

    - #### USE_LIST

          public static final int USE_LIST

      Register a list of KEYS.
      See Also:
        Constant Field Values

    - #### LOCAL_OP

          public static final int LOCAL_OP

      Perform the local version of the operation.
      See Also:
        Constant Field Values

    - #### CHECK_NOKEY

          public static final int CHECK_NOKEY

      Check that the key for the operation should not be present.
      See Also:
        Constant Field Values

    - #### USE_SUBREGION

          public static final int USE_SUBREGION

      Use the sub-region for performing the operation.
      See Also:
        Constant Field Values

    - #### NO_CREATE_SUBREGION

          public static final int NO_CREATE_SUBREGION

      Do not try to create the sub-region.
      See Also:
        Constant Field Values

    - #### USE_OLDCONN

          public static final int USE_OLDCONN

      Do not re-connect using new credentials rather use the previous connection.
      See Also:
        Constant Field Values

    - #### USE_NOTAUTHZ

          public static final int USE_NOTAUTHZ

      Do the connection with unauthorized credentials but do not check that the operation throws `NotAuthorizedException`.
      See Also:
        Constant Field Values

    - #### ENABLE_DRF

          public static final int ENABLE_DRF

      Enable `DynamicRegionFactory` on the client.
      See Also:
        Constant Field Values

    - #### REGISTER_POLICY_NONE

          public static final int REGISTER_POLICY_NONE

      Use the `InterestResultPolicy.NONE` for register interest.
      See Also:
        Constant Field Values

    - #### USE_GET_ENTRY_IN_TX

          public static final int USE_GET_ENTRY_IN_TX

      Use the `LocalRegion.getEntry(java.lang.Object)` under transaction.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpFlags

          protected OpFlags()

  - ### Method Detail

    - #### description

          public static java.lang.String description(int f)